# Class CopyToClipboardButtonComponent

- Defined in copy-to-clipboard-button/copy-to-clipboard-button.component.ts:27

#####
Index

### Constructors

constructor

### Properties

value

### Methods

copied

##
Constructors

### constructor

- new CopyToClipboardButtonComponent(
  snackbar: MatSnackBar,
  ): CopyToClipboardButtonComponent

  #### Parameters

  - snackbar: MatSnackBar

  #### Returns CopyToClipboardButtonComponent

  - Defined in copy-to-clipboard-button/copy-to-clipboard-button.component.ts:31

##
Properties

### value

value: string = ''

- Defined in copy-to-clipboard-button/copy-to-clipboard-button.component.ts:29

##
Methods

### copied

- copied(): void

  #### Returns void

  - Defined in copy-to-clipboard-button/copy-to-clipboard-button.component.ts:34